#!/usr/bin/env bash
set -e

venv=$1
country=$2
s=$3
lambdas_calculation=$4
method=$5
filter_name=$6
data_directory=$7

if [ ! -d "$venv" ]; then
  echo "Virtualenv not found" > demo_failure.txt
  exit 0
else
  source $venv/bin/activate
fi

execute.py $country --s $s --lambdas_calculation $lambdas_calculation --method $method --filter_name $filter_name --data_directory $data_directory
